Package twisted :: Package persisted :: Package journal :: Module base :: Class MemoryJournal |
[frames | no frames]

## Class MemoryJournal

    Journal --+
              |
             MemoryJournal

Prevayler-like journal that dumps from memory to disk.

Method Summary
| `__init__(self, log, journaledService, path, loadedCallback)`
| ``getLastSnapshot`(self)` Return command index of the last snapshot taken.
| `sync(self, obj)`
Inherited from Journal
| ``_reallyExecute`(self, index, command, runTime)` Callback called when logging command is done.
| ``executeCommand`(self, command)` Log and execute a command.
| ``updateFromLog`(self)` Run all commands from log that haven't been run yet.

Method Details

### getLastSnapshot(self) Return command index of the last snapshot taken. Overrides: `twisted.persisted.journal.base.Journal.getLastSnapshot` (inherited documentation)

Generated by Epydoc 2.0 on Sat Oct 25 00:54:57 2003 | http://epydoc.sf.net